---
description: Learn about resources supported by Databricks Asset Bundles and how to configure them.
---

<!-- DO NOT EDIT. This file is autogenerated with https://github.com/databricks/cli -->

# <DABS> resources

<DABS> allows you to specify information about the <Databricks> resources used by the bundle in the `resources` mapping in the bundle configuration. See [resources mapping](/dev-tools/bundles/settings.md#resources) and [resources key reference](/dev-tools/bundles/reference.md#resources).

This article outlines supported resource types for bundles and provides details and an example for each supported type. For additional examples, see [_](/dev-tools/bundles/resource-examples.md).

## <a id="resource-types"></a> Supported resources

The following table lists supported resource types for bundles. Some resources can be created by defining them in a bundle and deploying the bundle, and some resources only support referencing an existing resource to include in the bundle.

Resources are defined using the corresponding [Databricks REST API](/api/workspace/introduction) object's create operation request payload, where the object's supported fields, expressed as YAML, are the resource's supported properties. Links to documentation for each resource's corresponding payloads are listed in the table.

.. tip:: The `databricks bundle validate` command returns warnings if unknown resource properties are found in bundle configuration files.


.. list-table::
    :header-rows: 1

    * - Resource
      - Create support
      - Corresponding REST API object

    * - [cluster](#cluster)
      - ✓
      - [Cluster object](/api/workspace/clusters/create)

    * - [dashboard](#dashboard)
      -
      - [Dashboard object](/api/workspace/lakeview/create)

    * - [experiment](#experiment)
      - ✓
      - [Experiment object](/api/workspace/experiments/createexperiment)

    * - [job](#job)
      - ✓
      - [Job object](/api/workspace/jobs/create)

    * - [model (legacy)](#model-legacy)
      - ✓
      - [Model (legacy) object](/api/workspace/modelregistry/createmodel)

    * - [model_serving_endpoint](#model-serving-endpoint)
      - ✓
      - [Model serving endpoint object](/api/workspace/servingendpoints/create)

    * - [pipeline](#pipeline)
      - ✓
      - [Pipeline object](/api/workspace/pipelines/create)

    * - [quality_monitor](#quality-monitor)
      - ✓
      - [Quality monitor object](/api/workspace/qualitymonitors/create)

    * - [registered_model](#registered-model) (<UC>)
      - ✓
      - [Registered model object](/api/workspace/registeredmodels/create)

    * - [schema](#schema) (<UC>)
      - ✓
      - [Schema object](/api/workspace/schemas/create)

    * - [volume](#volume) (<UC>)
      - ✓
      - [Volume object](/api/workspace/volumes/create)
